=== debian/control ===
Source: kf6-bluez-qt
Section: libs
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               doxygen,
               graphviz,
               kde-qdoc-common-dev,
               kf6-extra-cmake-modules,
               libxkbcommon-dev,
               pkg-kde-tools-neon,
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-tools-dev
Standards-Version: 4.6.2
Homepage: https://projects.kde.org/projects/kde/workspace/bluez-qt
Vcs-Git: https://invent.kde.org/neon/kf6/kf6-bluez-qt.git
Vcs-Browser: https://invent.kde.org/neon/kf6/kf6-bluez-qt
Maintainer: Neon CI <neon@kde.org>

Package: kf6-bluez-qt
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-arch: same
Replaces: kde-bluezqt,
          libkf6bluezqt-data,
          libkf6bluezqt-doc,
          libkf6bluezqt6,
          qml6-module-org-
Description: data files for bluez-qt
 bluez-qt is a Qt-style library for accessing the bluez Bluetooth stack.
 .
 It is used by the KDE Bluetooth stack, BlueDevil.
 .
 This package contains the data files.

Package: kf6-bluez-qt-dev
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Depends: kf6-bluez-qt (= ${binary:Version}),
         qt6-base-dev,
         qt6-declarative-dev,
         ${misc:Depends}
Replaces: libkf6bluezqt-dev
Recommends: kf6-bluez-qt (= ${source:Version})
Description: development files for bluez-qt
 This package provides all the necessary development headers for building
 software that uses the bluez-qt library.

Package: libkf6bluezqt-data
Architecture: all
Depends: kf6-bluez-qt, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6bluezqt-doc
Architecture: all
Depends: kf6-bluez-qt, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6bluezqt6
Architecture: all
Depends: kf6-bluez-qt, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qml6-module-org-kde-bluezqt
Architecture: all
Depends: kf6-bluez-qt, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6bluezqt-dev
Architecture: all
Depends: kf6-bluez-qt-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.
