## kf6-bluez-qt 6.19.0+p24.04+vstable+git20251023.0040

=== CMakeLists.txt ===
--- 
+++ 
@@ -37,7 +37,7 @@
 )
 
 # Dependencies
-set(REQUIRED_QT_VERSION 6.7.0)
+set(REQUIRED_QT_VERSION 6.8.0)
 
 # Required Qt components to build this framework
 find_package(Qt6 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Core DBus Network)
