## kf6-bluez-qt 6.19.0+p24.04+vunstable+git20251020.0147

=== debian/changelog ===
kf6-bluez-qt (6.19.0+p24.04+vunstable+git20251020.0147-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 01:47:19 +0000
