## kf6-bluez-qt 6.20.0

=== debian/changelog ===
kf6-bluez-qt (6.20.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.20.0).
  * Update build-deps and deps with the info from cmake.
  * Switch test dependency from dbus-x11 to dbus-daemon. (Closes:
    #1117069)

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 15 Nov 2025 19:07:30 +0100
