=== debian/changelog ===
kf6-bluez-qt (6.20.0+p24.04+vunstable+git20251122.0638-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 22 Nov 2025 06:38:43 +0000

kf6-bluez-qt (6.20.0-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 22 Nov 2025 15:33:53 +1000
