## kf6-bluez-qt 6.21.0+p24.04+vstable+git20251226.0123

=== CMakeLists.txt ===
--- 
+++ 
@@ -51,7 +51,7 @@
 set_package_properties(Qt6QuickTest PROPERTIES DESCRIPTION "QML autotests for BluezQt" TYPE OPTIONAL)
 
 ecm_set_disabled_deprecation_versions(
-    QT 6.10.0
+    QT 6.11.0
 )
 
 # Subdirectories
