=== debian/changelog ===
kf6-bluez-qt (6.21.0+p24.04+vstable+git20251226.0123-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 26 Dec 2025 01:23:36 +0000

kf6-bluez-qt (6.21.0-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 07 Dec 2025 15:14:02 +1000
