## kf6-bluez-qt 6.21.0+p24.04+vunstable+git20260105.1134

=== debian/changelog ===
kf6-bluez-qt (6.21.0+p24.04+vunstable+git20260105.1134-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 05 Jan 2026 11:34:09 +0000
