=== debian/changelog ===
kf6-bluez-qt (6.22.0+p24.04+vstable+git20260106.0918-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 06 Jan 2026 09:18:06 +0000

kf6-bluez-qt (6.22.0-0neon) Noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 16:45:41 +1000
