## kf6-bluez-qt 6.22.0+p24.04+vstable+git20260111.0041

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 3.16)
+cmake_minimum_required(VERSION 3.27)
 
 set(KF_VERSION "6.23.0") # handled by release scripts
 project(BluezQt VERSION ${KF_VERSION})
