## kf6-bluez-qt 6.22.0+p24.04+vunstable+git20260123.0155

=== debian/changelog ===
kf6-bluez-qt (6.22.0+p24.04+vunstable+git20260123.0155-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 23 Jan 2026 01:55:02 +0000
